%define commit 6010d1a6034ea684cc2edb22021f034122ccf814

%define gdate 20200509
%define rel 1

Name:    artyfx
Version: 1.3
Release: %mkrel git%{gdate}.%{rel}
Summary: A LV2 plugin bundle of artistic audio effects
Group:   Sound/Midi
License: GPLv2
URL:     http://openavproductions.com/artyfx/
Source0: https://github.com/openAVproductions/openAV-ArtyFX/archive/%{commit}.tar.gz
Patch0:  artyfx-cmake-fix.patch
BuildRequires: cmake
BuildRequires: pkgconfig(lv2)
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(cairo)
BuildRequires: suil-devel

Requires: lv2
Requires: suil-x11-in-gtk2

%description
ArtyFX is a plugin bundle of artistic real-time audio effects.
The aim of this plugin collection is to allow the designing of
your sound just as you desired using a fast, efficient workflow.
From bitcrushers, delays, distortions, equalizers, compressors,
reverbs and more, there is a range of sounds available from ArtyFX

%prep
%setup -q -n openAV-ArtyFX-%{commit}
%autopatch -p1

%build
%ifarch %{arm}
export CXXFLAGS="%{optflags} -DPFFFT_SIMD_DISABLE"
%endif
%cmake \
%ifarch %{arm} aarch64
	-DBUILD_SSE=OFF \
%endif
	-DBUILD_GUI=ON

%cmake_build

%install
%cmake_install

%files
%doc README.md LICENSE
%{_libdir}/lv2/*


%changelog
* Mon Jul 27 2020 daviddavid <daviddavid> 1.3-git20200509.1.mga8
+ Revision: 1609234
- new git snapshot: 1.3-git20200509

* Wed Feb 12 2020 umeabot <umeabot> git20171104.4.mga8-current
+ Revision: 1508920
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 1.3-git20171104.3.mga7
+ Revision: 1294583
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 wally <wally> 1.3-git20171104.2.mga7
+ Revision: 1254792
- disable NEON usage on arm

* Sun Aug 26 2018 wally <wally> 1.3-git20171104.1.mga7
+ Revision: 1254710
- fix version
- fix build on aarch64 (and on other arches too)
- disable sse on arm and aarch64

* Sun Feb 11 2018 semiletov <semiletov> git20171104-6.mga7
+ Revision: 1200451
- more arm7vhl fixes

* Sun Feb 11 2018 semiletov <semiletov> git20171104-5.mga7
+ Revision: 1200447
- arm7vhl fix

* Sun Feb 11 2018 semiletov <semiletov> git20171104-4.mga7
+ Revision: 1200440
+ rebuild (emptylog)

* Sat Feb 10 2018 semiletov <semiletov> git20171104-3.mga7
+ Revision: 1200255
+ rebuild (emptylog)

* Sat Feb 10 2018 semiletov <semiletov> git20171104-2.mga7
+ Revision: 1200245
+ rebuild (emptylog)

* Sat Feb 10 2018 semiletov <semiletov> git20171104-1.mga7
+ Revision: 1200240
- + sndfile BR has been added
- imported package artyfx

